要执行请求的操作,WORDPRESS 需要访问您网页服务器的权限。

我自己搭建的服务器,环境是:ubuntu server 12.10, apache2.2.22, php5.4.6

默认 apache 用户是:www-data

WordPress 安装插件时提示:要执行请求的操作,WordPress 需要访问您网页服务器的权限。 请输入您的 FTP 登录凭据以继续。 如果您忘记了您的登录凭据(如用户名、密码),请联系您的网站托管商。

导致此问题的原因是:apache 用户与网站目录文件所有者(网站文件所有者默认为 root)不一样。将网站目录文件所有者改为 www-data 即可解决问题。

发表评论